package com.ruoyi.bst.areaJoin.service;

import java.math.BigDecimal;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.areaJoin.domain.AreaJoinQuery;
import com.ruoyi.bst.areaJoin.domain.vo.AreaJoinStatVO;

public interface AreaJoinDashboard {

    /**
     * 查询最大分成比例
     * @param query
     * @return
     */
    BigDecimal selectMaxOfPoint(AreaJoinQuery query);

    /**
     * 查询加盟商和合伙人数量
     * @param query
     * @param keys
     * @return
     */
    AreaJoinStatVO selectStat(AreaJoinQuery query, List<String> keys);

    /**
     * 查询分成总和
     */
    BigDecimal selectSumOfPoint(@Param("query") AreaJoinQuery query);

    
}
